package com.lovecoding.day08.oop05;

public class TestOverride {

    public static void main(String[] args) {
        TestOverride testOverride = new TestOverride();
        //System.out.println(testOverride.sum(0.1, 1));
        System.out.println(testOverride.sum(10, 10));
    }

    //求和 两个int类型的和  byte和  double
    public double sum(int a , int b ){
        return  a+b;
    }
    public double sum(byte a , byte b ){
        return  a+b;
    }

    public double sum(double a , double b ){
        return  a+b;
    }


//    public double sum(double ... a  ){
//        return  10;
//    }

    public double sum(double[] arr  ){
        return  10;
    }



}
